*{
    padding:0;
    margin:0;
    font-size:12px;
}
:root{
  --navHei:60px;
  --miniNavHei:44px;
  --maxWid:1200px;
  --maxWid900:900px;
}
body{
    width:100%;
    box-sizing: border-box;
    background-color: #f8f9fa;
}
#app{
    width:100vw;
    height:100vh;
    overflow-y:hidden;
    box-sizing: border-box;
}
/* homeBox */
#homeBox{
  width:100%;
  height:100%; 
  box-sizing: border-box;
  overflow-y:auto;
  padding:calc(var(--miniNavHei) + 4px) 0 10px;

}
#homeBox .homeBoxNav{
  background-color:#333333;
  position: fixed;
  box-shadow:0 0 10px 0 rgba(100,100,100,.2);
  box-sizing: border-box;
  display:flex;
  justify-content: center;
  align-items: center;
  z-index:1100;
  width:100%;
  top:0;
  left:0;
}
#homeBox .homeBox_nav{
  padding:0 10px;
  display:flex;
  justify-content:space-between;
  align-items: center;
  width:100%;
  height:var(--miniNavHei) ;
  box-sizing: border-box;
}
#homeBox .homeBox_nav_name{
  display: flex;
  align-items: center;
  cursor: pointer;
}
#homeBox .homeBox_nav_name>i{
   display: flex;
   justify-content: center;
   align-items: center;
   width:30px;
   height:24px;
   color:#fff;
   font-size:16px;
   transform: translateY(1px);
}
#homeBox .homeBox_nav_name>span{
    line-height:24px;
    font-size:14px;
    font-weight: bold;
    color:#fff;
    margin-right: 20px;
}
#homeBox .el-carousel{
   width:100%;
}
#homeBox  .miniImageBox{
  display: flex;
}
#homeBox  .bagImageBox{
  display: none;
}
#homeBox .homeBox_carousel{
    width:100%;
    background-color: rgba(250,250,250,1);
}

#homeBox .imgBox{
    width:100%;
    height:100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color:#1a202c;
}

#homeBox .gamesBox{
    width:100%;
    margin-top:15px;
    padding:10px;
    box-sizing: border-box;
    background-color:rgba(250,250,250,1);
}
#homeBox .gamesBox-title{
    height:24px;
    font-size:14px;
    font-weight: bold;
    margin:0 0 10px;
}

#homeBox .gamesBox-list{
    width:100%;
    box-sizing: border-box;
}

#homeBox .gamesBox-card{
   width:100%;
   box-shadow:0 0 6px 0 rgba(100,100,100,.2);
   border-radius:4px;
   padding:8px 20px;
   box-sizing: border-box;
   margin-bottom:10px;
   display: flex;
   align-items: center;
   justify-content: space-between;
   flex-wrap: wrap;
}
#homeBox .gamesBox-card-content{
   width:calc(100% - 180px)
}
#homeBox .gamesBox-card-btn{
   width:80px;
   display: flex;
   justify-content: center;
   align-items: center;
}
#homeBox  .gamesBox-card-line{
    display: flex;
}
#homeBox  .gamesBox-card-label{
    line-height:24px;
    font-size:14px;
    color:#666;
    padding-right:10px;
}
#homeBox  .gamesBox-card-val{
    width:100%;
    line-height:24px;
    font-size:16px;
    font-weight: bold;
    color:#333;
    box-sizing: border-box;
    display: inline-block;
    overflow: hidden;
}
#homeBox  .gamesBox-card-gameType{
    line-height:24px;
    font-size:12px;
    color:#999;
}
#homeBox .bagIconImg{
  display: none;
}
#homeBox .gamesBox-card-gbImg{
  display: none;
}
#homeBox .sysitemBox{
  padding:0;
}
#homeBox .sysitemBox>div{
  display:flex;
  align-items: center;
  justify-content: center;
  line-height:20px;
}
#homeBox .sysitemBox>div>a{
  color:#666;
}
/* detailsBox */
#detailsBox{
  width:100%;
  height:100%; 
  box-sizing: border-box;
  overflow-y:auto;
  padding:0 0 60px;
}
#detailsBox>div{
  width:100%;
  box-sizing: border-box;
}
#detailsBox .detailsBre_box{
  height:34px;
  display: flex;
  align-items: center;
  padding:0 10px;
  box-sizing: border-box;
}
#detailsBox .detail-gameInfo{
  background-color:#1a202c;
  width:100%;
  height:140px;
  padding:20px 15px;
  box-sizing: border-box;
  display: flex;
  margin-bottom:20px;
}
#detailsBox .detail-gameIconImg{
   width:120px;
}
#detailsBox .bgImgage{
   display: none;
}
#detailsBox .detail-gameInfoSub{
   width:calc(100% - 130px);
}
#detailsBox .detail-gameInfoBtn{
   display:none;
   justify-content: center;
   align-items: flex-start;
   padding-top:30px;
}
#detailsBox .detail-gameInfoSub-gameName{
  line-height:28px;
  font-size:16px;
  font-weight: bold;
  color:#fff;
}
#detailsBox .detail-gameInfoSub-gametype{
  height:24px;
  display: flex;
  margin-top:4px;
}
#detailsBox .detail-gameInfoSub-gametype>span{
  border:1px solid #E6A23C;
  font-size:10px;
  line-height:12px;
  height:18px;
  color:#E6A23C;
  border-radius:4px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  padding:0px 6px;
}
#detailsBox .detail-content{
  padding:0 15px;
  box-sizing: border-box;
  margin-bottom:20px;
}
#detailsBox .detail-content-title{
  height:32px;
  display: flex;
  align-items: center;
  font-size:15px;
  font-weight: bold;
  margin-bottom:4px;
}
#detailsBox .detail-content-Introduction{
  font-size:12px;
  color:#333;
  text-indent: 20px;  
}
#detailsBox .detail-gameImage{
  padding:0 15px;
  box-sizing: border-box;
}
#detailsBox .detail-gameImage-title{
    height:32px;
    display: flex;
    align-items: center;
    font-size:15px;
    font-weight: bold;
    margin-bottom:4px;
}
#detailsBox .detail-download{
  background-color: rgba(250,250,250,1);
  box-shadow:  0 10px 0 rgba(0,0,0,.3);
  width:100%;
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  padding:0 15px;
  box-sizing: border-box;
  z-index:100;
  height:50px;
  bottom:0;
  left:0;
}
#detailsBox .detail-download .el-button{
  padding:0px 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  height:38px;
}

#detailsBox  .download-btn{
   font-size:14px;
   color:#fff;
}
#detailsBox .download-btn{
  text-decoration: none; /* 移除下划线 */
}
@media  (min-width: 900px){
  /* homeBox */
  #homeBox{
    padding:var(--navHei) 0 40px;
    box-sizing: border-box;
  }
  #homeBox  .bagImageBox{
    padding:0;
    display: flex;
  }
  #homeBox .homeBox_nav{
      width:var(--maxWid);
      min-width:var(--maxWid);
      padding:0;;
      height: var(--navHei);
  }
  #homeBox .homeBox_nav>i{
      width:30px;
      height:24px;
      color:#fff;
      font-size:16px;
      transform: translateY(1px);
  }
  #homeBox .homeBox_nav>span{
      padding:0 40px;
      display: flex;
  }
  #homeBox  .miniImageBox{
    display: none;
  }
  #homeBox .gamesBox{
    width:var(--maxWid);
    min-width:var(--maxWid);
    box-sizing: border-box;
    padding:40px 0px 20px;
    margin:0 auto;
  }
  #homeBox .gamesBox-title{
    font-size:18px;
    line-height:34px;
    height:34px;
  }
  #homeBox .gamesBox-list{
    display: flex;
    flex-wrap: wrap;
  }
  #homeBox  .gamesBoxList{
    min-width:340px;
    width:33.333%;
    box-sizing: border-box;
    padding:10px;
  }
  #homeBox   .gamesBox-card{
    margin:0;
  }
  #homeBox .mimiIconImg{
    display:none;
  }
  #homeBox .bagIconImg{
    display: flex;
  }
  #homeBox .gamesBox-card-img.bagIconImg{
    width:70px;
  }
  #homeBox .gamesBox-card-content{
    width:calc(100% - 70px - 80px);
  }
  #homeBox .gamesBox-card-btn{
    width:80px;
  }
  #homeBox .gamesBox-card-val{
    line-height:20px;
    font-size:13px;
  }
  #homeBox .gamesBox-card-gameType{
    line-height:20px;
    font-size:12px;
  }
  #homeBox .gamesBox-card-gbImg{
    width:100%;
    height:200px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding:0;
    background-color: rgba(100,100,100,.2); 
    margin-bottom:10px; 
    border-radius:4px;
    overflow: hidden;
  }
  #homeBox .sysitemBox{
    padding:60px 0 20px;
  }
  /* detailsBox */
   #detailsBox{
    padding:0 0 30px;
   }
  #detailsBox .detailsMain{
    width:var(--maxWid900);
    min-width:var(--maxWid900) ;
    margin:0 auto;
  }
  #detailsBox .detail-gameInfo{
    height:210px;
    padding:40px 40px 0;
    margin-bottom:30px;
  }
  #detailsBox .miniImgage{
    display:none;
  }
  #detailsBox .bgImgage{
    display:flex;
    width:140px;
  }
  #detailsBox .detail-gameInfoSub{
    width: calc(100% - 440px);
    padding-left:30px;
  }
  #detailsBox .detail-gameInfoBtn{
    width:200px;
    display: flex;
  }
  #detailsBox .detail-gameInfoSub-gameName{
     line-height: 34px;
     font-size:24px;
     margin-bottom: 20px;
  }
  #detailsBox .detail-gameInfoSub-gametype{
     height:40px;
  }
  #detailsBox .detail-gameInfoSub-gametype>span{
     line-height:initial;
     height: 24px;
     font-size:13px;
  }
  #detailsBox .detail-content-title,
  #detailsBox .detail-gameImage-title{
     height: 40px;
     font-size:20px;
     margin-bottom:10px;
  }
  #detailsBox .detail-content{
    padding:0;
    margin-bottom:40px;
  }
  #detailsBox .detail-content-Introduction{
     font-size:14px;
     line-height:28px;
  }
  #detailsBox .detail-gameImage{
     padding:0;
  }
  
  #detailsBox .detail-download{
    display: none;
    width:var(--maxWid900);
    min-width:var(--maxWid900);
    left:50%;
    transform: translateX(-450px);
  }
}